Package org.openoffice.da.comp.writer2latex

# Class W2LStarMathConverter

java.lang.Object
org.openoffice.da.comp.writer2latex.W2LStarMathConverter

All Implemented Interfaces:
  `com.sun.star.lang.XServiceInfo`, `com.sun.star.lang.XServiceName`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.uno.XInterface`, `org.openoffice.da.writer2latex.XW2LStarMathConverter`

public class W2LStarMathConverter extends Object implements org.openoffice.da.writer2latex.XW2LStarMathConverter, com.sun.star.lang.XServiceName, com.sun.star.lang.XServiceInfo, com.sun.star.lang.XTypeProvider
This class provides a uno component which implements the interface org.openoffice.da.writer2latex.XW2LConverter

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`__implementationName`
`static final String`
`__serviceName`
The component will be registered under this name.

### Fields inherited from interface com.sun.star.lang.XServiceInfo

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceName

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

### Fields inherited from interface org.openoffice.da.writer2latex.XW2LStarMathConverter

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`W2LStarMathConverter(com.sun.star.uno.XComponentContext xComponentContext1)`

## Method Summary

Modifier and Type
Method
Description
`String`
`convertFormula(String sStarMathFormula)`
`byte[]`
`getImplementationId()`
`String`
`getImplementationName()`
`String`
`getPreamble()`
`String`
`getServiceName()`
`String[]`
`getSupportedServiceNames()`
`com.sun.star.uno.Type[]`
`getTypes()`
`boolean`
`supportsService(String stringServiceName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __serviceName

public static final String __serviceName
The component will be registered under this name.

See Also:
  - Constant Field Values

### __implementationName

public static final String __implementationName

See Also:
  - Constant Field Values

## Constructor Details

### W2LStarMathConverter

public W2LStarMathConverter(com.sun.star.uno.XComponentContext xComponentContext1)

## Method Details

### convertFormula

public String convertFormula(String sStarMathFormula)

Specified by:
  `convertFormula` in interface `org.openoffice.da.writer2latex.XW2LStarMathConverter`

### getPreamble

public String getPreamble()

Specified by:
  `getPreamble` in interface `org.openoffice.da.writer2latex.XW2LStarMathConverter`

### getTypes

public com.sun.star.uno.Type[] getTypes()

Specified by:
  `getTypes` in interface `com.sun.star.lang.XTypeProvider`

### getImplementationId

public byte[] getImplementationId()

Specified by:
  `getImplementationId` in interface `com.sun.star.lang.XTypeProvider`

### getServiceName

public String getServiceName()

Specified by:
  `getServiceName` in interface `com.sun.star.lang.XServiceName`

### supportsService

public boolean supportsService(String stringServiceName)

Specified by:
  `supportsService` in interface `com.sun.star.lang.XServiceInfo`

### getImplementationName

public String getImplementationName()

Specified by:
  `getImplementationName` in interface `com.sun.star.lang.XServiceInfo`

### getSupportedServiceNames

public String[] getSupportedServiceNames()

Specified by:
  `getSupportedServiceNames` in interface `com.sun.star.lang.XServiceInfo`